Skip to main content

Restore a saved configuration

POST 

/api/v4/config/history/:config_id/restore

Replace the server configuration with a configuration saved by the server, and get the settings that changed, listed as in the configuration history. The configuration it replaces stays in the history. As when updating the configuration, settings that can't be changed through the API and settings the user may not change keep their current values, as do settings set through environment variables. Sensitive values are restored, but listed with asterisks.

Minimum server version: 12.3

Permissions​

Must have any of the sysconsole_write_* permissions.

Request​

Responses​

Configuration restore successful